#if !defined(__SAI_Pub_h__)
#define __SAI_Pub_h__
 
#include "CPA_Expt.h"
 
#define SAI_TRUE  TRUE
#define SAI_FALSE FALSE
 
#if defined(__cplusplus)
extern "C"
{
#endif /* __cplusplus */
 
#ifndef U64 /* Oliv' - 07/07/1999 */
extern CPA_EXPORT	unsigned char SAI_fn_bInsertBoolInTable(void *_p_vValue, unsigned char ucMask, SAI_tdeFlags _eFlags);
#endif /* U64 */

extern CPA_EXPORT	unsigned char SAI_fn_bInsertCharInTable(void *_p_vValue, SAI_tdeFlags _eFlags);
extern CPA_EXPORT	unsigned char SAI_fn_bInsertShortInTable(void *_p_vValue, SAI_tdeFlags _eFlags);
extern CPA_EXPORT	unsigned char SAI_fn_bInsertLongInTable(void *_p_vValue, SAI_tdeFlags _eFlags);
extern CPA_EXPORT	unsigned char SAI_fn_bInsertFloatInTable(void *_p_vValue, SAI_tdeFlags _eFlags);
extern CPA_EXPORT	unsigned char SAI_fn_bInsertDoubleInTable(void *_p_vValue, SAI_tdeFlags _eFlags);
extern CPA_EXPORT	unsigned char SAI_fn_bInsertPointerInTable(void *_p_vValue, SAI_tdeFlags _eFlags);
extern CPA_EXPORT	unsigned char SAI_fn_bInsertMTHRealInTable(void *_p_vValue, SAI_tdeFlags _eFlags);
extern CPA_EXPORT	unsigned char SAI_fn_bInsertMTHVectorInTable(void *_p_vValue, SAI_tdeFlags _eFlags);
extern CPA_EXPORT	unsigned char SAI_fn_bInsertMTHMatrixInTable(void *_p_vValue, SAI_tdeFlags _eFlags);
extern CPA_EXPORT	unsigned char SAI_fn_bInsertArrayInTable(void *_p_vValue, unsigned long _ulSize, SAI_tdeFlags _eFlags);
 
extern CPA_EXPORT	unsigned char SAI_fn_bRemoveValueFromTable(void *_p_vValue, SAI_tdeFlags _eFlags);
 
extern CPA_EXPORT	void *SAI_fn_p_vGetTableValuePointerOf(void *_p_vValue, SAI_tdeFlags _eFlags);
 
extern CPA_EXPORT	unsigned char SAI_fn_bInitAllWhen(SAI_tdeFlags _eUserFlags);
extern CPA_EXPORT	unsigned char SAI_fn_bInitOneValueWhen(void *_p_vValue, SAI_tdeFlags _eUserFlags);
 
extern CPA_EXPORT	unsigned char SAI_fn_ucPlayerSaveValues(char *_szFileName);
extern CPA_EXPORT	unsigned char SAI_fn_ucLevelSaveValues(char *_szFileName);
 
extern CPA_EXPORT	unsigned char SAI_fn_ucLoadValues(char *_szFileName);
 
extern CPA_EXPORT	unsigned char SAI_fn_ucLoadPlayerValues(char *_szFileName);
extern CPA_EXPORT	unsigned char SAI_fn_ucLoadLevelValues(char *_szFileName);
 
 
#if defined(__cplusplus)
}
#endif /* __cplusplus */
 
#endif /* __SAI_Pub_h__ */
